extern void __VERIFIER_error() __attribute__ ((__noreturn__));
void __VERIFIER_assert(int cond) { if(!(cond)) { ERROR: __VERIFIER_error(); } }
extern void __VERIFIER_assume(int);
//#define SIZE 100000
int main()
{
    int SIZE;
    __VERIFIER_assume(SIZE>0);
	signed int a[SIZE];
    int k;
    __VERIFIER_assume(k>=0 && k<SIZE && k>=SIZE/2);
	int i;
	for(i = 0; i < SIZE; i++)
	{
		if(i>=0 && i<=k)
			a[i] = 10;
		else
		a[i] = 0;
	}


	for(i = 0; i < SIZE; i++)
	{
		__VERIFIER_assert(a[i] == 10);
		
	}

	return 0;
}


